Bug 42373 - Changes to enable MathML
: Changes to enable MathML
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: MathML
: 528+ (Nightly build)
: All Mac OS X 10.5
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 3251
  Show dependency treegraph
 
Reported: 2010-07-15 07:31 PDT by Alex Milowski
Modified: 2010-08-03 16:45 PDT (History)
6 users (show)

See Also:


Attachments
Enable MathML Patch (5.56 KB, patch)
2010-07-15 07:31 PDT, Alex Milowski
bdakin: review+
bdakin: commit‑queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Milowski 2010-07-15 07:31:13 PDT
Created attachment 61658 [details]
Enable MathML Patch

The attached patch changes the defaults so that MathML is enabled.  People can turn it off with --no-mathml on build-webkit.
Comment 1 Adam Barth 2010-07-27 07:17:04 PDT
Comment on attachment 61658 [details]
Enable MathML Patch

This is very exciting to me.  I don't know enough about the MathML status to know whether we're ready, but yay!
Comment 2 Beth Dakin 2010-08-03 10:45:24 PDT
Comment on attachment 61658 [details]
Enable MathML Patch

I did some performance testing and didn't find any issues. I also haven't encountered any stability issues, and all the layout tests appear to pass.
Comment 3 Beth Dakin 2010-08-03 14:23:06 PDT
Comment on attachment 61658 [details]
Enable MathML Patch

Changing commit-queue flag to minus. I want to make sure this is committed when I am awake to help clean up any possible messes, so I am going to commit this by hand.
Comment 4 Eric Seidel 2010-08-03 14:35:05 PDT
Makes sense.  Sorry for the massive cq delays the last 24 hours.
Comment 5 Beth Dakin 2010-08-03 14:36:27 PDT
(In reply to comment #4)
> Makes sense.  Sorry for the massive cq delays the last 24 hours.

No worries :-)

Committed with http://trac.webkit.org/changeset/64589
Comment 6 Beth Dakin 2010-08-03 15:12:04 PDT
Speculative build fix: http://trac.webkit.org/changeset/64592
Comment 7 Beth Dakin 2010-08-03 15:43:47 PDT
Speculative build fix part 2.
Comment 8 Beth Dakin 2010-08-03 15:44:23 PDT
(In reply to comment #7)
> Speculative build fix part 2.

Oops! Forgot to add the link: http://trac.webkit.org/changeset/64596
Comment 9 Beth Dakin 2010-08-03 16:39:14 PDT
Another build fix: http://trac.webkit.org/changeset/64600
Comment 10 Beth Dakin 2010-08-03 16:45:10 PDT
This too: http://trac.webkit.org/changeset/64607